# BEGIN COPYRIGHT BLOCK
# (C) 2006 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK

###############################################################################
###                                L I N U X                                ###
###############################################################################

%ifos Linux
# Don't build the debug packages
%define debug_package %{nil}
# The way we do packaging seems to leave unpackaged files in the builddir;
# however, we really don't want them
%define _unpackaged_files_terminate_build 0
# don't bother stripping - we already do this for optimized, and we definitely
# want the symbols in the debug builds
%define __os_install_post %{nil}

## A distribution model is required on certain Linux operating systems!
##
## check for a pre-defined distribution model
%define undefined_distro  %(test "%{dist}" = "" && echo 1 || echo 0)
%if %{undefined_distro}
%define is_fedora         %(test -e /etc/fedora-release && echo 1 || echo 0)
%if %{is_fedora}
## define a default distribution model on Fedora Linux
%define dist_prefix       .fc
%define dist_version      %(echo `rpm -qf --qf='%{VERSION}' /etc/fedora-release` | tr -d [A-Za-z])
%define dist              %{dist_prefix}%{dist_version}
%else
%define is_redhat         %(test -e /etc/redhat-release && echo 1 || echo 0)
%if %{is_redhat}
## define a default distribution model on Red Hat Linux
%define dist_prefix       .el
%define dist_version      %(echo `rpm -qf --qf='%{VERSION}' /etc/redhat-release` | tr -d [A-Za-z])
%define dist              %{dist_prefix}%{dist_version}
%endif
%endif
%endif

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define real_name DBD-SQLite

Name: perl-DBD-SQLite
Version:  1.12
Release:  6%{?dist}
Summary: Small fast embedded SQL database engine

Vendor:   Red Hat, Inc.
URL:      http://search.cpan.org/dist/DBD-SQLite/
License:  Artistic/GPL
Packager: Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Group:    Application/CPAN

# Without AutoReqProv: no, rpmbuild finds all sorts of crazy
# dependencies that we don't care about, and refuses to install
AutoReqProv: no

Source: http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/DBD-SQLite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl, perl-DBI, sqlite-devel

%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so
if you want a relational database for your project, but don't
want to install a large RDBMS system like MySQL or PostgreSQL,
then DBD::SQLite may be just what you need.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

## Strip symbols from libraries
%{__strip} blib/arch/auto/DBD/SQLite/SQLite.so

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorarch}/DBD/SQLite.pm
%{perl_vendorarch}/auto/DBD/SQLite

%endif

###############################################################################
###                            C H A N G E L O G                            ###
###############################################################################

%changelog
* Thu Jul 16 2009 Matthew Harmsen <mharmsen@redhat.com> 1.12-6
- Stripped symbols from libraries
- Release Candidate 4 build

* Thu Feb  26 2009 Kevin Wright <kwright@redhat.com> - 1.12-5 
- Updated to release 1.12-5.

* Sat Nov 23 2008 Matthew Harmsen <mharmsen@redhat.com> 1.12-4
- Inserted standard %{?dist} logic

* Mon Mar 12 2007 Thomas Kwan <nkwan@redhat.com> 1.12-3.el4
- Initial spec file
